#include <GConsoleLib.h>
#include <stdio.h>
#include <math.h>
#define PIE 3.14159265

int main(){
	gfront();
	gcls();

	double hankei = 1;

	while(hankei > 0){
		gimage("C:\\GConsole追加ファイル\\sampleimg\\chap3-0.png", 100, 100);
		glocate(12, 5);
		gprintf("わたしはアルキメデスだ。");
		//質問の表示
		glocate(12, 6);
		gprintf("球の半径は何cmかな？");
		//入力
		char buf[128];
		ggets(buf, 128);
		sscanf_s(buf, "%lf", &hankei);
		if(hankei < 0) break;	//プログラム終了
		//答えの表示
		glocate(12, 7);
		gprintf("球の体積は%.2fcmだね。", 4 * PIE * pow(hankei, 3) / 3);
	}
	glocate(12, 7);
	gprintf("じゃあね");
}